Bug 875861 - Cannot lookup domain short name
Summary: Cannot lookup domain short name
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: adcli
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stef Walter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-12 17:14 UTC by Stef Walter
Modified: 2013-04-20 20:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-20 20:15:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 57064 None None None 2012-11-13 13:04:21 UTC

Description Stef Walter 2012-11-12 17:14:51 UTC
Marko saw this on an AD domain:

otherwise looking very good but please see the attachment - I noticed
three "issues", can't remember any more are these something we found out
already:

-  ! Couldn't lookup domain short name: 0000208D: NameErr:
DSID-0310020A, problem 2001 (NO_OBJECT), data 0, best match of:
	'DC=YYYYY,DC=zzzzz,DC=com'
...
domain-short = (null)

Perhaps an option to allow specifying that might help - OTOH not sure
why YYYYY is not used if lookup fails?

Version-Release number of selected component (if applicable):

adcli 0.4

Comment 1 Stef Walter 2012-11-12 17:18:26 UTC
(In reply to comment #0)
> Marko saw this on an AD domain:
> 
> otherwise looking very good but please see the attachment - I noticed
> three "issues", can't remember any more are these something we found out
> already:
> 
> -  ! Couldn't lookup domain short name: 0000208D: NameErr:
> DSID-0310020A, problem 2001 (NO_OBJECT), data 0, best match of:
> 	'DC=YYYYY,DC=zzzzz,DC=com'
> ...
> domain-short = (null)
> 
> Perhaps an option to allow specifying that might help - OTOH not sure
> why YYYYY is not used if lookup fails?

Marko could you look for nETBIOSName attributes in your domain and note the domain AD windows version and domain controller version (either here or in an email?). Both in the CN=Configuration DSE and the root DSE.

You might do something like this:
$ ldapsearch -H ldap://dc.zzzz.com -Y GSSAPI -b 'CN=Configuration,DC=YYYYY,DC=zzzzz,DC=com' '(nETBIOSName=*)' nETBIOSName
$ ldapsearch -H ldap://dc.zzzz.com -Y GSSAPI -b 'DC=YYYYY,DC=zzzzz,DC=com' '(nETBIOSName=*)' nETBIOSName

Thanks.

Comment 2 Marko Myllynen 2012-11-13 06:28:32 UTC
This is in 2008 R2 domain. It turns out that nETBIOSName can be retrieved by using configurationNamingContext from rootDSE:

ldapsearch -H ldap://dc.example.com -Y GSSAPI -b '' -s base 'objectclass=*' configurationNamingContext

ldapsearch -H ldap://dc.example.com -Y GSSAPI -b 'CN=Partitions,<configurationNamingContext>' '(&(objectClass=crossRef)(dnsRoot=example.com)(nETBIOSName=*))' nETBIOSName

Thanks.

Comment 3 Fedora Update System 2013-04-10 12:48:24 UTC
adcli-0.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/adcli-0.5-1.fc19

Comment 4 Fedora Update System 2013-04-10 15:13:03 UTC
Package adcli-0.5-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing adcli-0.5-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5301/adcli-0.5-1.fc19
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-04-10 17:54:23 UTC
adcli-0.5-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/adcli-0.5-2.fc19

Comment 6 Fedora Update System 2013-04-20 20:15:10 UTC
adcli-0.5-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.